.nav-spacer {
	height: 80px;
}

.gold p {
	color: #8d7249;
}

@media(min-width:768px) {
	.nav-spacer {
		height: 131px;
	}

	.featured-section {
		margin-top: 10px;
	}
}

.tasting-room-page {
	background-color: #e7e5dd;
}

.tasting-room-page .featured-content * {
	box-sizing: border-box;
}

.tasting-room-page *:not(.footer) .content-main {
	max-width: 1544px;
	padding: 0;
}

.tasting-room-page *:not(.footer) .content-main > .inner {
	padding: 0 20px;
}

.menus-banner-section {
	margin-top: 80px;
}

.tasting-room-page .buttons {
	display: flex;
	gap: 10px;
}

@media(min-width:768px) {
	.tasting-room-page .side-padded-section {
		padding-left: 20px;
		padding-right: 20px;
	}
}


/* Sub Navigation Styles */
.fixed-sub-nav {
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	background: #e7e5dd;
	z-index: 100;
	/* border-top: 1px solid #eee; */
	padding: 1rem 0;
	padding-bottom: calc(1rem + env(safe-area-inset-bottom));
	/* box-shadow: 0 -2px 10px rgba(0,0,0,0.05); */
}

.sub-nav-wrap ul {
	display: flex;
	list-style: none;
	margin: 0;
	padding: 0;
	gap: 1rem;
	overflow-x: auto;
	-webkit-overflow-scrolling: touch;
	scrollbar-width: none; /* Firefox */
	-ms-overflow-style: none; /* IE and Edge */
}

.sub-nav-wrap ul::-webkit-scrollbar {
	display: none; /* Chrome, Safari, Opera */
}

.sub-nav-wrap .button {
	white-space: nowrap;
	/* padding: 0.5rem 1rem;
	text-decoration: none;
	color: #333;
	border: 1px solid #ddd;
	border-radius: 4px;
	transition: all 0.3s ease; */
}



@media (min-width: 768px) {
	.sub-nav-wrap ul {
		justify-content: center;
	}
}

/* Add padding to main content to prevent overlap with fixed nav */
.content-main {
	padding-bottom: calc(4rem + env(safe-area-inset-bottom));
}

.tasting-room-marquee {
	position: relative;
	height: 100vh;
	overflow: hidden;
}

.tasting-room-marquee .content {
	position: relative;
	height: 100%;
}

.marquee-content {
	display: flex;
	height: 100%;
}

.marquee-content .carousel-section {
	flex: 1;
	position: relative;
	height: 100%;
	z-index: 0;
}

.marquee-content .carousel-container {
	position: relative;
	height: 100%;
	overflow: hidden;
}

.marquee-content .carousel-section .owl-carousel {
	height: 100%;
}

.marquee-content .carousel-section .owl-carousel .owl-stage-outer {
	height: 100%;
}

.marquee-content .carousel-section .owl-carousel .owl-stage {
	height: 100%;
}

.marquee-content .carousel-section .owl-carousel .owl-item {
	height: 100%;
} 

.marquee-content .carousel-item {
	height: 100%;
	background-size: cover;
	background-position: center;
	min-height: 100%;
}

.marquee-content .carousel-item img,
.marquee-content .carousel-item video {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.marquee-content .text-section {
	flex: 1;
	position: relative;
	display: flex;
	flex-direction: column;
	/* justify-content: center; */
	padding: 2rem;
	z-index: 1;
	box-sizing: border-box;
}

.hours-phone {
	display: flex;
	flex-direction: row;
	gap: 20px;
}

.marquee-content.text-section .absolute-centered {
	position: relative;
	transform: none;
	top: auto;
	left: auto;
}

.marquee-content .carousel-nav {
	display: flex;
	gap: 8px;
	margin-top: 2rem;
}

.nav-btn {
	background: none;
	border: none;
	cursor: pointer;
	padding: 2px;
}

.nav-btn img {
	width: 50px;
	height: 50px;
}

.marquee-content .text-section .title-wrap {
    display: flex;
    flex-direction: column;
    flex-flow: column-reverse;
}

.marquee-content .text-section .title-wrap h2 {
    font-size: 20px;
}

.marquee-content .text-section .title-wrap h1 span {
	display: block;
}

/* Mobile styles */
@media (max-width: 767px) {
	.marquee-content {
		position: relative;
        height: calc(100vh - 80px);
	}

	.marquee-content .carousel-section {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 0;
	}

	.marquee-content .carousel-container {
		overflow: hidden;
	}

	.marquee-content .text-section {
		position: absolute;
		z-index: 1;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		padding: 0 1rem;
		display: flex;
		flex-direction: column;
		justify-content: flex-end;
		background: linear-gradient(to top, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0) 100%);
		box-sizing: border-box;
	}

    .marquee-content .text-section .inner {
        padding-bottom: 30px;
    }

    .marquee-content .text-section .inner * {
        color: #fff;
    }

	.carousel-nav {
		display: none;
	}

	.fixed-sub-nav {
		padding:0;
	}

	.sub-nav-wrap {
		padding: 0 1rem;
	}

	.sub-nav-wrap .button {
		background: #e7e5dd;
		color: #8D7249;
		padding: 10px 5px;
	}

	.marquee-content .carousel-nav {
		display: none;
	}

	.featured-section {
		margin-top: 40px;
	}
}

/* Desktop styles */
@media (min-width: 768px) {

	.tasting-room-marquee, .tasting-room-marquee .content {
		height: auto;
	}
	.marquee-content {
		display: flex;
		flex-direction: row;
		gap: 60px;
		height: auto;
		position: relative;
		max-width: 1544px;
		margin: 0 auto;
        padding-top: 140px;
	}

	.carousel-section {
		position: relative;
        width: 60%;
		flex-basis: 60%;
        flex-grow: 1;
		z-index: 0;
        box-sizing: border-box;
	}

	.carousel-container {
		overflow: visible;
	}

	.marquee-content .carousel-section .owl-carousel .owl-item {
		aspect-ratio: 1/0.64;
		height: auto;
	}

	.marquee-content .carousel-item {
		border-radius: 15px;
		margin-left: 30px;
	}

	.text-section {
		position: relative;
		flex-basis: 570px;
        flex-grow: 0;
		z-index: 1;
        padding: 0 40px 0 0;
        box-sizing: border-box;
	}

	.text-section > * {
		max-width: 570px;
	}

    .marquee-content .text-section .title-wrap h2,
    .marquee-content .text-section .title-wrap h1 span {
        color: #333;
    }

	.featured-events-section {
        position: relative;
        overflow: visible;
    }

    .featured-events-section #map-wrap {
        display: flex;
        flex-direction: row-reverse;
        gap: 64px;
		margin-bottom: 0px;
    }

    .featured-events-section .map-column {
        width: 400px;
        flex-shrink: 0;
    }

    .featured-events-section .event-list-column {
        flex: 1;
    }
}



/* Featured Section Styles */

.featured-content {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.featured-content .text-section {
    max-width: 570px;
    margin: 0 auto;
}

.featured-content .text-section h2 {
    margin-bottom: 1rem;
	font-size: 24px;
	color: #333;
}

.featured-content .text-section p {
    margin-bottom: 2rem;
	/* color: #7c6540; */
}

.featured-content .carousel-section {
    flex: 1;
    padding: 1rem 0;
}

.featured-card {
    position: relative;
    background: #7c6540;
    border-radius: 15px;
    overflow: hidden;
    aspect-ratio: 1/1;
    margin-right: 15px;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

.featured-card .card-content {
    position: relative;
    z-index: 2;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: opacity 0.3s ease;
}

.featured-card .card-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    /* opacity: 0; */
    transition: opacity 0.3s ease;
}

.featured-card .card-image:before {
	content: '';
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: linear-gradient(to left, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 100%);
}

.featured-card:hover .card-content {
    background: transparent;
}

.featured-card .card-content h3,
.featured-card .card-content p,
.featured-card .card-content h5 {
	color: #fff;
}

.featured-card .card-content h3 {
	font-size: 24px;
	margin:0 0 10px 0;
}

.featured-card .card-content h5 {
	font-size: 16px;
	margin:0 0 10px 0;
	display: flex;
	flex-direction: row;
	gap: 15px;
}

.featured-card .card-content p {
	font-size: 16px;
	margin:0;
}

@media (max-width: 767px) {
	.featured-content .text-section {
		padding: 0 20px;
	}

	.featured-content .carousel-section {
		margin: 0 20px;
	}

	.featured-content .carousel-section .owl-stage-outer {
		overflow:visible;
	}
}

@media (min-width: 768px) {
    .featured-content {
        flex-direction: row;
        align-items: center;
        gap: 4rem;
    }

    .featured-content .text-section {
        flex: 0 0 380px;
        margin: 0;
		margin-left: 20px;
    }

    .featured-content .carousel-section {
        flex: 1;
    }

	.featured-content .carousel-section .owl-stage{padding-left:0px !important;}

    .featured-card {
        aspect-ratio: 1/0.69;
		margin-right: 30px;
    }

	.featured-card.has-image:hover .card-image {
		opacity: 1;
	}
	
	/* .featured-card.has-image:hover .card-content {
		opacity: 0;
	} */

	.private-events, .menus-banner {
		background: #b1a186;
		padding: 160px 72px 72px 72px;
		border-radius: 10px;
		max-width: 1544px;
		margin: 60px auto 0 auto;
		box-sizing: border-box;
		position: relative;
		overflow: hidden;
	}

	.private-events:before, .menus-banner:before {
		content: '';
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background: linear-gradient(to right, #000 0%, rgba(0,0,0,0) 100%);
		z-index: 1;
	}

	.private-events .background-image, .menus-banner .background-image {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-size: cover;
		background-position: center;
		z-index: 0;
	}

	.private-events .background-image img,
	.private-events .background-image video,
	.menus-banner .background-image img,
	.menus-banner .background-image video {
		width: 100%;
		height: 100%;
		object-fit: cover;
	}

	.private-events .inner, .menus-banner .inner {
		max-width: 724px;
		margin: 0;
		position: relative;
		z-index: 2;
	}

	.private-events p, .menus-banner p, .menus-banner h5 {
		color: #fff;
	}

	.menus-banner-section {
		margin-top: 140px;
	}
} 

/* Large desktop styles */
@media (min-width: 1544px) {
	.marquee-content .carousel-section {
		margin-left: calc(-1 * (100vw - 1544px) / 2);
	}

	.featured-content .carousel-section {
		margin-right: calc(-1 * (100vw - 1544px) / 2);
	}
}

.faqs {
    position: relative;
    background: #b1a186;
    max-width: 1260px;
    margin: 60px auto;
    padding: 60px 0;
	border-radius: 10px;
}


.tasting-room-page .faqs h2 {
	margin-bottom:75px;
}

.tasting-room-page .faqs h2, .tasting-room-page .faqs .question-answer {
	margin-bottom:50px;
	max-width:900px;
	margin-left:auto;
	margin-right:auto;
	padding:0 20px;
}

.tasting-room-page .faqs .question-answer .inner {
	padding:1px 0;
	overflow:hidden;
}

.tasting-room-page .faqs .question-answer p {
	line-height:1.6;
	text-align:left;
}

.tasting-room-page .faqs .question-answer p a {
	color:inherit;
	text-decoration:underline;
}

.tasting-room-page .faqs .question-answer .question {
	cursor:pointer;
	position:relative;
}

.tasting-room-page .faqs .question-answer .answer {
	overflow:hidden;
	transition: height 500ms cubic-bezier(0.190, 1.000, 0.220, 1.000);
}

.tasting-room-page .faqs .question-answer .answer.auto {
	height:auto !important;
}

.tasting-room-page .faqs .question-answer .question:after {
	content:'';
	display:block;
	position:absolute;
	top:5px;
	right:0;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 8px 0 8px 8px;
	border-color: transparent transparent transparent #000;
	transition: transform .2s ease-out;
}

.tasting-room-page .faqs .question-answer.open .question:after {
	transform:rotate(90deg);
}

@media(min-width:960px) {
	.featured-events-section .event-item {
		display: flex;
		flex-direction: row;
		gap: 20px;
		align-items: center;
	}
	
	.featured-events-section .event-item .event-details {
		flex: 1;
	}
	
	.featured-events-section .event-item .event-details * {
		margin-bottom: 0;
		margin-top: 0;
		text-transform: uppercase;
		font-family: TradeGothicLTPro-BdCn20, sans-serif;
	}
	
	.featured-events-section .event-item .event-details .date-location {
		display: flex;
		flex-direction: row;
		gap: 20px;
	}
}

.featured-events-section .event-item:last-child {
    border-bottom: none;
}

#book-now-wrap {
	max-width: 1260px;
	margin: 0 auto;
}

#book-now-wrap button {
	border-radius: 10px;
}